# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/watchdog/renesas,rza-wdt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Renesas RZ/A Watchdog Timer (WDT) Controller

maintainers:
  - Wolfram Sang <wsa+renesas@sang-engineering.com>

properties:
  compatible:
    items:
      - enum:
          - renesas,r7s72100-wdt     # RZ/A1
          - renesas,r7s9210-wdt      # RZ/A2
      - const: renesas,rza-wdt       # RZ/A

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

  timeout-sec: true

required:
  - compatible
  - reg
  - clocks

allOf:
  - $ref: watchdog.yaml#

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/r7s72100-clock.h>
    #include <dt-bindings/interrupt-controller/arm-gic.h>

    watchdog@fcfe0000 {
            compatible = "renesas,r7s72100-wdt", "renesas,rza-wdt";
            reg = <0xfcfe0000 0x6>;
            interrupts = <GIC_SPI 106 IRQ_TYPE_LEVEL_HIGH>;
            clocks = <&p0_clk>;
    };
